Bug 94097 - Make 'Print to File' button always visible in print dialog
Summary: Make 'Print to File' button always visible in print dialog
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium enhancement
Assignee: Katarina Behrens (CIB)
QA Contact:
URL:
Whiteboard: target:5.2.0
Keywords:
Depends on:
Blocks: Print-Dialog
  Show dependency treegraph
 
Reported: 2015-09-10 13:25 UTC by Yousuf Philips (jay)
Modified: 2016-10-18 12:20 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) 2015-09-10 13:25:38 UTC
If you open up the print dialog and click on the options tab's print to file checkbox, the OK button while be swapped with a 'Print to File...' button. This print to file option should always be visible, as many users wanting this option will miss this useful option found in print dialogs in other apps (bug 75518).

The print to file/pdf option is visible in the default OS print dialogs in OSX, Gnome, KDE, Windows, as well as in the print dialogs of apps word processors from IBM Symphony, MS Office (they install a virtual printer), WPS, Calligra (it uses the KDE print dialog), WordPerfect.

All these print dialogs can be seen here - http://pad.documentfoundation.org/p/UX-PrintDialog
Comment 1 Buovjaga 2015-09-18 14:39:47 UTC
I tend to agree. Many years went by before I discovered this option.
Comment 2 V Stuart Foote 2015-09-18 15:09:23 UTC
I've no heartburn with doing this, so long as the distinction continues to be made that LO's filter Export to PDF is a different filter action. 

And explicitly stating that a print filter using the OS, or an external helper, for print capability alone is responsible to render the print job into the file format.

While we handle creation of PDF with export filters. Document output into other printer control formats is outside scope of LO, e.g. printing as PS, DVI, XPS, HP-GL, and PCL, etc. in their various flavors. Generating those file formats are best left to the OS, or external helper, print drivers as managed by the user.

The project has no responsibility for them other than providing a button to pass the print job to the OS and selected printer.

=-ref-=
https://en.wikipedia.org/wiki/Page_description_language
Comment 3 Commit Notification 2016-02-09 10:27:14 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=29b92329005eb2f31d2b76eafaa1ffff67387b8e

tdf#94097: Move 'Print to file' option to the front page

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 V Stuart Foote 2016-02-10 05:41:05 UTC
@bubli,

(In reply to Commit Notification from comment #3)
> Affected users are encouraged to test the fix and report feedback.

On Windows 10 Pro 64-bit en-US with
Version: 5.2.0.0.alpha0+
Build ID: fea95da81260bc7eabe7ece595829009b2db3e62
CPU Threads: 8; OS Version: Windows 6.19; UI Render: GL; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-02-10_00:46:54
Locale: en-US (en_US)

The UI adjustment moving from Options tab to the General tab Printer drop list is reasonable. As I preferred, on Windows we are presented with only the Windows OS specific .PRN file format. I have other print drivers that show in the printer list for .PS, .PDF or .XPS file formats, so having just .PRN file format is fine.

Thanks!
Comment 5 Katarina Behrens (CIB) 2016-02-10 08:23:23 UTC
It now prints to file using system's default printer driver... so if that one can do only .prn, that's what the user gets. 

In that regard, I was undecided between default printer and last used printer, so if I went for the latter and last used printer in your particular case would be capable of printing to .ps, .pdf,..., the choice would be much greater. 

I was advised to use the default one at the end, because chances are that way something gets printed in most of the usecases (if the last used printer happens to be at my workplace and now I want to print something to file at home, I'm in trouble ;))

Anyway, let's set this to fixed
Comment 6 Yousuf Philips (jay) 2016-02-10 13:15:52 UTC
Verified and added to release notes.

Version: 5.2.0.0.alpha0+
Build ID: fea95da81260bc7eabe7ece595829009b2db3e62
CPU Threads: 2; OS Version: Linux 4.2; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-02-10_01:41:22
Locale: en-US (en_US.UTF-8)

(In reply to Katarina Behrens (CIB) from comment #5)
> It now prints to file using system's default printer driver... so if that
> one can do only .prn, that's what the user gets. 

On linux, cups can print to pdf, ps and svg according to the gnome 3 print dialog, but i'm only given ps option in the save dialog.